#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: basic-prelude
version: 0.5.0
id: basic-prelude-0.5.0-01d76cd9f7fba8db78ae2f7d1b2c0987
key: basic_AmhWFj984HT5umpl0ipQRy
license: MIT
maintainer: michael@snoyman.com
homepage: https://github.com/snoyberg/basic-prelude
synopsis: An enhanced core prelude; a common foundation for alternate preludes.
description:
    The premise of @basic-prelude@ is that there are a lot of very commonly desired features missing from the standard @Prelude@, such as commonly used operators (@\<$\>@ and @>=>@, for instance) and imports for common datatypes (e.g., @ByteString@ and @Vector@). At the same time, there are lots of other components which are more debatable, such as providing polymorphic versions of common functions.
    .
    So @basic-prelude@ is intended to give a common foundation for a number of alternate preludes. The package provides two modules: @CorePrelude@ provides the common ground for other preludes to build on top of, while @BasicPrelude@ exports @CorePrelude@ together with commonly used list functions to provide a drop-in replacement for the standard @Prelude@.
    .
    Users wishing to have an improved @Prelude@ can use @BasicPrelude@. Developers wishing to create a new prelude should use @CorePrelude@.
category: Control, Prelude
author: Michael Snoyman, Dan Burton
exposed: True
exposed-modules:
    BasicPrelude CorePrelude
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/basic-prelude-0.5.0
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/basic-prelude-0.5.0
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/basic-prelude-0.5.0
hs-libraries: HSbasic-prelude-0.5.0-AmhWFj984HT5umpl0ipQRy
include-dirs: /usr/local/include
depends:
    ReadArgs-1.2.2-bb17a10a2728000fa5373e976ab44d2b
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    containers-0.5.6.2-038ff4498ef87a6c587d93cd99a6573b
    filepath-1.4.0.0-8fee9c13b5e42926cc01f6aa7c403c4b
    hashable-1.2.3.3-8f170cf3be214ecb17aa999ac01e25b9
    lifted-base-0.2.3.6-1dfd01e491e36bcf548a0a97190dea47
    safe-0.3.9-fba013ebf6ec5d67814fea2ecacdc045
    text-1.2.1.3-7b7b9ddb2dfcabed4e37e6b2f8cdc5f5
    transformers-0.4.2.0-21dcbf13c43f5d8cf6a1f54dee6c5bff
    unordered-containers-0.2.5.1-f06a187b7e838c69d874badd31102fe1
    vector-0.10.12.3-df22e243cd37291cebd65584b0ee856f
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/basic-prelude-0.5.0/html/basic-prelude.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/basic-prelude-0.5.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
